Debian Bug report logs - #735488
qt4-x11: Add arm64 support

version graph

Package: src:qt4-x11; Maintainer for src:qt4-x11 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Wed, 15 Jan 2014 18:21:02 UTC

Severity: normal

Found in version qt4-x11/4:4.8.5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 15 Jan 2014 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 15 Jan 2014 18:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qt4-x11: Add arm64 support
Date: Wed, 15 Jan 2014 18:17:19 +0000
[Message part 1 (text/plain, inline)]
Source: qt4-x11
Version: 4.8.5
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package fails to build on arm64 without this patch. It is largely
based on the ubuntu patches in  4:4.8.4+dfsg-0ubuntu15,
4:4.8.4+dfsg-0ubuntu17, and the important fix in
4:4.8.4+dfsg-0ubuntu18), but has a few changes.

1) It uses autotools-dev and the dh_ helpers to ensure config.{sub,guess}
are up to date rather than patching them directly. This is cleaner, will
keep working in the future, and allows rebuilds as the clean target works
correctly.

2) It uses linux-g++ PLATFORM and adds the -fpermissive CFLAG to enable
it to build rather than defining a new almost-identical
linux-g++-aarch64 PLATFORM because that seems to be unnecessary and less
clean. However I am no QT expert so there may be a good reason for doing
it the other way. I have left that definition file in so you can see
what was done, but so far as I can see the linux-g++ definitions are
correct. A look at why -fpermissive is needed might be a good thing, but
is beyond my ken.

3) The ubuntu patch disabled the docs build, but that is now working
correctly so no need for that any more.

This is obviously an important package in the bootstrap so I hope this
patch can go in the archive reasonably soon. Obviously I am happy to
answer questions  if you have any queries about what is correct for the
arm64/aarch64 build.


-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[qt4-x11_4.8.5.arm64-support2.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 15 Jan 2014 18:33:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 15 Jan 2014 18:33:24 GMT) Full text and rfc822 format available.

Message #10 received at 735488@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 735488@bugs.debian.org, 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Wed, 15 Jan 2014 15:30:51 -0300
[Message part 1 (text/plain, inline)]
On Wednesday 15 January 2014 18:17:19 Wookey wrote:
> Source: qt4-x11
> Version: 4.8.5
> Severity: normal
> Tags: patch
> User: debian-arm@lists.debian.org
> Usertag: arm64
> 
> This package fails to build on arm64 without this patch. It is largely
> based on the ubuntu patches in  4:4.8.4+dfsg-0ubuntu15,
> 4:4.8.4+dfsg-0ubuntu17, and the important fix in
> 4:4.8.4+dfsg-0ubuntu18), but has a few changes.
> 
> 1) It uses autotools-dev and the dh_ helpers to ensure config.{sub,guess}
> are up to date rather than patching them directly. This is cleaner, will
> keep working in the future, and allows rebuilds as the clean target works
> correctly.

This part I like it, I'll try to test it soon.

> 2) It uses linux-g++ PLATFORM and adds the -fpermissive CFLAG to enable
> it to build rather than defining a new almost-identical
> linux-g++-aarch64 PLATFORM because that seems to be unnecessary and less
> clean. However I am no QT expert so there may be a good reason for doing
> it the other way. I have left that definition file in so you can see
> what was done, but so far as I can see the linux-g++ definitions are
> correct. A look at why -fpermissive is needed might be a good thing, but
> is beyond my ken.

I'll take a look.

> 3) The ubuntu patch disabled the docs build, but that is now working
> correctly so no need for that any more.
> 
> This is obviously an important package in the bootstrap so I hope this
> patch can go in the archive reasonably soon. Obviously I am happy to
> answer questions  if you have any queries about what is correct for the
> arm64/aarch64 build.

If it where just patches to debian/* stuff I would have really no problem. But 
as this patches touches upstream's stuff like 
src/corelib/arch/qatomic_aarch64.h , configure, qmake.conf et al, we ask first 
for an upstream's ACK. But to do this the **author** of the changes needs to 
push the patches to gerrit and get it either accepted into the Qt4 tree or at 
least ACKed by upstream (because maybe they don't want to extend the 
funcionality of Qt 4 anymore).

As we have gerrit in the middle (and so the Qt CLA) I'm not able to forward 
the patches anymore.

If the author pushes the patches to gerrit please tell him/her to add me as 
reviewer, same for the bug she(he could fill to get attention on it.

Kinds regards, Lisandro.

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 15 Jan 2014 18:33:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 15 Jan 2014 19:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 15 Jan 2014 19:03:09 GMT) Full text and rfc822 format available.

Message #18 received at 735488@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Wed, 15 Jan 2014 15:57:47 -0300
[Message part 1 (text/plain, inline)]
On Wednesday 15 January 2014 15:30:51 Lisandro Damián Nicanor Pérez Meyer 
wrote:
> On Wednesday 15 January 2014 18:17:19 Wookey wrote:
> > Source: qt4-x11
> > Version: 4.8.5
> > Severity: normal
> > Tags: patch
> > User: debian-arm@lists.debian.org
> > Usertag: arm64
> > 
> > This package fails to build on arm64 without this patch. It is largely
> > based on the ubuntu patches in  4:4.8.4+dfsg-0ubuntu15,
> > 4:4.8.4+dfsg-0ubuntu17, and the important fix in
> > 4:4.8.4+dfsg-0ubuntu18), but has a few changes.
> > 
> > 1) It uses autotools-dev and the dh_ helpers to ensure config.{sub,guess}
> > are up to date rather than patching them directly. This is cleaner, will
> > keep working in the future, and allows rebuilds as the clean target works
> > correctly.
> 
> This part I like it, I'll try to test it soon.

On a second thought, I don't even know if they are used at all. I think all 
3rd party stuff is being built using qmake, but I might be wrong (or confused 
with Qt5).

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 15 Jan 2014 19:03:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 15 Jan 2014 19:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to lisandro@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 15 Jan 2014 19:27:09 GMT) Full text and rfc822 format available.

Message #26 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: 735488-submitter@bugs.debian.org, 735488@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Wed, 15 Jan 2014 16:24:33 -0300
[Message part 1 (text/plain, inline)]
On Wednesday 15 January 2014 18:17:19 Wookey wrote:
> Source: qt4-x11
> Version: 4.8.5
> Severity: normal
> Tags: patch
> User: debian-arm@lists.debian.org
> Usertag: arm64
> 
> This package fails to build on arm64 without this patch. It is largely
> based on the ubuntu patches in  4:4.8.4+dfsg-0ubuntu15,
> 4:4.8.4+dfsg-0ubuntu17, and the important fix in
> 4:4.8.4+dfsg-0ubuntu18), but has a few changes.

[snip]

> 2) It uses linux-g++ PLATFORM and adds the -fpermissive CFLAG to enable
> it to build rather than defining a new almost-identical
> linux-g++-aarch64 PLATFORM because that seems to be unnecessary and less
> clean. However I am no QT expert so there may be a good reason for doing
> it the other way. I have left that definition file in so you can see
> what was done, but so far as I can see the linux-g++ definitions are
> correct. A look at why -fpermissive is needed might be a good thing, but
> is beyond my ken.

OK, I have taken a look at this. Indeed defining a new mkspec *just* for arm64 
doesn't sounds right at all.

WRT the fpermissive, well, I would need to see which errors are being 
triggered without that flag. Do you have an arm64 build log without -
fpermissive at hand? Else, are you able to create one for seeing what's going 
on?

= JIT stuff: except for the stuff in debian/rules, it is actually conflicting 
with other patches we are currently having in that respect:

rejects in file src/3rdparty/webkit/Source/JavaScriptCore/wtf/Platform.h

But I have modified those already so there is nothing to fear there, it's a 
simple matter of touching the current patches.

Kinds regards, Lisandro.

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 15 Jan 2014 19:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 15 Jan 2014 19:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 15 Jan 2014 19:45:11 GMT) Full text and rfc822 format available.

Message #34 received at 735488@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Wed, 15 Jan 2014 16:42:42 -0300
[Message part 1 (text/plain, inline)]
On Wednesday 15 January 2014 15:57:47 Lisandro Damián Nicanor Pérez Meyer 
wrote:
> On Wednesday 15 January 2014 15:30:51 Lisandro Damián Nicanor Pérez Meyer
[snip]
> > > 1) It uses autotools-dev and the dh_ helpers to ensure
> > > config.{sub,guess}
> > > are up to date rather than patching them directly. This is cleaner, will
> > > keep working in the future, and allows rebuilds as the clean target
> > > works
> > > correctly.
> > 
> > This part I like it, I'll try to test it soon.
> 
> On a second thought, I don't even know if they are used at all. I think all
> 3rd party stuff is being built using qmake, but I might be wrong (or
> confused with Qt5).

I'm currently testing this.

On the other hand, mitya57 has asked doko and it seems that the original code 
comes from a Red hat employee who signed Qt's CLA. And maybe even this is code 
that comes from Qt5 itself. If this is the case, specially the last one, then 
things are much easier.


-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 15 Jan 2014 19:45:19 GMT) Full text and rfc822 format available.

Information stored :
Bug#735488; Package src:qt4-x11. (Wed, 15 Jan 2014 21:21:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and filed, but not forwarded. (Wed, 15 Jan 2014 21:21:29 GMT) Full text and rfc822 format available.

Message #42 received at 735488-quiet@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>, 735488-quiet@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Wed, 15 Jan 2014 21:17:14 +0000
+++ Lisandro Damián Nicanor Pérez Meyer [2014-01-15 16:42 -0300]:
> On Wednesday 15 January 2014 15:57:47 Lisandro Damián Nicanor Pérez Meyer 
> wrote:
> > On Wednesday 15 January 2014 15:30:51 Lisandro Damián Nicanor Pérez Meyer
> [snip]
> > > > 1) It uses autotools-dev and the dh_ helpers to ensure
> > > > config.{sub,guess}
> > > > are up to date rather than patching them directly. This is cleaner, will
> > > > keep working in the future, and allows rebuilds as the clean target
> > > > works
> > > > correctly.
> > > 
> > > This part I like it, I'll try to test it soon.
> > 
> > On a second thought, I don't even know if they are used at all. I think all
> > 3rd party stuff is being built using qmake, but I might be wrong (or
> > confused with Qt5).
> 
> I'm currently testing this.
> 
> On the other hand, mitya57 has asked doko and it seems that the original code 
> comes from a Red hat employee who signed Qt's CLA. And maybe even this is code 
> that comes from Qt5 itself. If this is the case, specially the last one, then 
> things are much easier.

OK. I didn't change anything outside the debian dir, so if what's in the
ubuntu patches is already upstreamed then we're good.

I'm not sure who did the work first out of linaro in OE, suse or fedora,
but it already existed in April 2013:
http://lists.linaro.org/pipermail/linaro-toolchain/2013-April/003349.html

The fix_atomic patch I think may well be ubuntu original work:
https://bugs.launchpad.net/linaro-aarch64/+bug/1239173

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information stored :
Bug#735488; Package src:qt4-x11. (Thu, 16 Jan 2014 00:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and filed, but not forwarded. (Thu, 16 Jan 2014 00:21:08 GMT) Full text and rfc822 format available.

Message #47 received at 735488-quiet@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: lisandro@debian.org, 735488-quiet@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Thu, 16 Jan 2014 00:16:03 +0000
[Message part 1 (text/plain, inline)]
+++ Lisandro Damián Nicanor Pérez Meyer [2014-01-15 16:24 -0300]:
> 
> > 2) It uses linux-g++ PLATFORM and adds the -fpermissive CFLAG to enable
> > it to build rather than defining a new almost-identical
> > linux-g++-aarch64 PLATFORM because that seems to be unnecessary and less
> > clean. However I am no QT expert so there may be a good reason for doing
> > it the other way. I have left that definition file in so you can see
> > what was done, but so far as I can see the linux-g++ definitions are
> > correct. A look at why -fpermissive is needed might be a good thing, but
> > is beyond my ken.
> 
> OK, I have taken a look at this. Indeed defining a new mkspec *just* for arm64 
> doesn't sounds right at all.
> 
> WRT the fpermissive, well, I would need to see which errors are being 
> triggered without that flag. Do you have an arm64 build log without -
> fpermissive at hand? Else, are you able to create one for seeing what's going 
> on?

The whole log is 2.5MB. Want it all? A useful excerpt is attached.

> = JIT stuff: except for the stuff in debian/rules, it is actually conflicting 
> with other patches we are currently having in that respect:
> 
> rejects in file src/3rdparty/webkit/Source/JavaScriptCore/wtf/Platform.h
> 
> But I have modified those already so there is nothing to fear there, it's a 
> simple matter of touching the current patches.

I copied the --no-javascript-jit bit from ubuntu. I didn't test whether
it was still needed. But in general new jits for new architectures are a
big deal so I expect that one hasn't been written yet.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[qt4build2.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Fri, 17 Jan 2014 20:24:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 17 Jan 2014 20:24:17 GMT) Full text and rfc822 format available.

Message #52 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Fri, 17 Jan 2014 17:20:40 -0300
[Message part 1 (text/plain, inline)]
On Wednesday 15 January 2014 16:42:42 Lisandro Damián Nicanor Pérez Meyer 
wrote:
> On Wednesday 15 January 2014 15:57:47 Lisandro Damián Nicanor Pérez Meyer
> 
> wrote:
> > On Wednesday 15 January 2014 15:30:51 Lisandro Damián Nicanor Pérez Meyer
> 
> [snip]
> 
> > > > 1) It uses autotools-dev and the dh_ helpers to ensure
> > > > config.{sub,guess}
> > > > are up to date rather than patching them directly. This is cleaner,
> > > > will
> > > > keep working in the future, and allows rebuilds as the clean target
> > > > works
> > > > correctly.
> > > 
> > > This part I like it, I'll try to test it soon.
> > 
> > On a second thought, I don't even know if they are used at all. I think
> > all
> > 3rd party stuff is being built using qmake, but I might be wrong (or
> > confused with Qt5).
> 
> I'm currently testing this.

I've patched out the autotools helpers files, recompiled and everything went 
OK. I have also taken a look at the builded stuff and they seem not to be used 
at all. Moreover, we are building against the system version of the involved 
libs, but better double check.

I've just added lintian oveerides with an explanation of the issue.

I'll be taking a look at the rest as time permits.

Kinds regards, Lisandro.

-- 
UNIX is basically a simple operating system, but you have to be a
genius to understand the simplicity.
  Dennis Ritchie

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Fri, 17 Jan 2014 20:24:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Tue, 21 Jan 2014 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 21 Jan 2014 13:03:04 GMT) Full text and rfc822 format available.

Message #60 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Tue, 21 Jan 2014 09:59:57 -0300
[Message part 1 (text/plain, inline)]
Dmitry Shachnev points me at [0], it makes things easier :)

[0] <http://marcin.juszkiewicz.com.pl/2014/01/20/the-story-of-qtaarch64-patching/>

-- 
I still maintain the point that designing a monolithic kernel in 1991 is a
fundamental error.  Be thankful you are not my student.  You would not get a
high grade for such a design :-)
(Andrew Tanenbaum to Linus Torvalds)

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Tue, 21 Jan 2014 13:03:16 GMT) Full text and rfc822 format available.

Marked as found in versions qt4-x11/4:4.8.5. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Thu, 23 Jan 2014 16:51:22 GMT) Full text and rfc822 format available.

No longer marked as found in versions qt4-x11/4.8.5. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Thu, 23 Jan 2014 16:57:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Thu, 23 Jan 2014 17:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 23 Jan 2014 17:18:05 GMT) Full text and rfc822 format available.

Message #72 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: 735488@bugs.debian.org, 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: qt4-x11: Add arm64 support
Date: Thu, 23 Jan 2014 14:14:52 -0300
[Message part 1 (text/plain, inline)]
On Thursday 16 January 2014 00:16:03 Wookey wrote:
[snip]
> The whole log is 2.5MB. Want it all? A useful excerpt is attached.

I've taken a look at the excerpt and checked with the team. We will need a 
proper fix without ussing -fpermissive. In the example from the build log, we 
might get strange crashes in qtscript if something goes wrong.


-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Thu, 23 Jan 2014 17:18:08 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> to control@bugs.debian.org. (Thu, 23 Jan 2014 18:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Thu, 23 Jan 2014 18:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 23 Jan 2014 18:09:09 GMT) Full text and rfc822 format available.

Message #82 received at 735488@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 735488@bugs.debian.org, 735488-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Qt4 in arm64: wrap up of the current situation
Date: Thu, 23 Jan 2014 14:57:22 -0300
[Message part 1 (text/plain, inline)]
tag 735488 - patch
thanks

I've tried to summarize the current arm64 situation. The following are my 
conclusions, feel free to point if something is wrong, give more 
info/feedback, etc.

= Stuff under debian/

- As explained in a mail before, we don't like the idea of passing
-fpermissive as it can lead to very strange crashes. The code will need proper 
fixing.

- We are building webkit with a separate source, -no-javascript-jit and the 
relevant webkit patches should be applied in src:qtwebkit. The relevant 
patches contained in the patch submitted by Wookey come from Riku Voipio and 
seems too similar to other patches we already have there, so it should not be 
a problem to apply them once we have Qt4 ready form arm64.

- It uses linux-g++ instead of linux-g++-64. While that could be the best fit, 
it would be good to know why.

- The autotools changes seems unnecessary, as we are not building the 3rd 
party code that uses it. I've already added a lintian override to the 
autotools stuff warning in the repo.

= Code patches

aarch64.patch:
- *No copyright* nor license. We need this at least to be able to apply it and 
ask upstream if they see it fit. There's the chance that some code comes from 
Ubuntu people.
- Webkit stuff: as described above.
- mkspecs: not necessary, just added for completeness.

aarch64_fix_atomic_set.patch:
- Copyright present.
- Possibly needs the above patch applied.

= Some extra remarks

We need at least the proper copyright and license for the patches. In that way 
I'm able to apply them in the package and ping upstream wrt them.

Of course, if the original author can push it to upstream's gerrit the better, 
because in case some objection arises I don't need to be in the middle as a 
(possibly noisy) proxy.

Kinds regards, Lisandro.

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Thu, 23 Jan 2014 18:09:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 16:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <mjuszkiewicz@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 16:45:08 GMT) Full text and rfc822 format available.

Message #90 received at 735488@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>
To: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>, 735488@bugs.debian.org, 735488-submitter@bugs.debian.org
Subject: Re: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 17:41:26 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

W dniu 23.01.2014 18:57, Lisandro Damián Nicanor Pérez Meyer pisze:
> I've tried to summarize the current arm64 situation. The following are my 
> conclusions, feel free to point if something is wrong, give more 
> info/feedback, etc.

As you know from my blog post [0] Qt/AArch64 patch has long history.

0.
http://marcin.juszkiewicz.com.pl/2014/01/20/the-story-of-qtaarch64-patching/

> = Stuff under debian/
> 
> - As explained in a mail before, we don't like the idea of passing
> -fpermissive as it can lead to very strange crashes. The code will need proper 
> fixing.
> 
> - We are building webkit with a separate source, -no-javascript-jit and the 
> relevant webkit patches should be applied in src:qtwebkit. The relevant 
> patches contained in the patch submitted by Wookey come from Riku Voipio and 
> seems too similar to other patches we already have there, so it should not be 
> a problem to apply them once we have Qt4 ready form arm64.

> - It uses linux-g++ instead of linux-g++-64. While that could be the best fit, 
> it would be good to know why.

Maybe it is because linux-g++ may use '-m64' argument for GCC which
AArch64 does not support so build fails.

> = Code patches
> 
> aarch64.patch:
> - *No copyright* nor license. We need this at least to be able to apply it and 
> ask upstream if they see it fit. There's the chance that some code comes from 
> Ubuntu people.


> - Webkit stuff: as described above.

If you need that for something:

Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> based on
gtkwebkit changes by Riku Voipio <riku.voipio@linaro.org>

License: same as upstream one

> aarch64_fix_atomic_set.patch:
> - Copyright present.
> - Possibly needs the above patch applied.

It requires aarch64.patch as it just change two lines.

> = Some extra remarks
> 
> We need at least the proper copyright and license for the patches. In that way 
> I'm able to apply them in the package and ping upstream wrt them.
> 
> Of course, if the original author can push it to upstream's gerrit the better, 
> because in case some objection arises I don't need to be in the middle as a 
> (possibly noisy) proxy.

Qt4 patches are not accepted upstream. All new code has to go to Qt5 and
since 5.2.0 QAtomics stuff is using std::atomic so compiler takes care
of it and there is no code for separate architectures.

And all required patches were submitted - just one change to qtwebkit is
stuck in review.

https://bugreports.qt-project.org/browse/QTBUG-35442 is upstream bug.










-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJS5owyAAoJECbKqQEReiUedDgQAIoJP8WhTIA+w08/LfuHsGMa
gVI5vEtIsMb+IkMDPqFNmWok1//ocmdXPCJJPFRsHT7Nuy2z8I4pmmZFTzG6llgr
zrbKb5mP3MCb6/tzv17YtOi3e8Inrz9+Z6YqdMEmhEtnKEO9llLQ55Af1n9ot7NP
xB5OSGgWZSmwVpABEuO6+Ehg4wwyjciclC2JJFHUkTgEYjN4fzBDFGg007qS7fNe
Q5jArjHnwXyfNFKsdtKWLbh/52IpwXm9t0Sa5OxqWjdmwmAnLo2YHDLrJWlLI1Of
4M7N36ph57huNuuN8pEuLgwM7BHhicK4EoDhjPD4dKisGUwTOaEGGhZMB+d1EjiQ
pOCO8NUehWm96JvMmihv1Zb+j2R3q4q8zwwXK1nUQThTTBEE5Mdg63D5TAcHPV5P
sL2GjaaKqHgePnQLrxekmZiSHNmfrjcJw12naTGUPsrf+tK4hZ3qGlHwznAKOKwn
ZgJEH8mFiTRBNZ83gHSjP8j9NXiHCaxiRNFUL38e6dnYyNyEdz6zB+U4CyaHuEPR
h7GQCyVapvHDe5PrA0aXIjVAAQQTw6TI57Ct4lYBdHqDNvBQZIvLr4lP8EYLWVhA
gCdia6C7sbjGb96Gio8W8RtEuxhywh+g0wgndgWkF7RjMTXJxw4CFzOi/5WiTdQf
topl5mzNXk+tvnb4jn6R
=oz85
-----END PGP SIGNATURE-----



Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 16:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 18:18:04 GMT) Full text and rfc822 format available.

Message #98 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 15:14:11 -0300
[Message part 1 (text/plain, inline)]
On Monday 27 January 2014 17:41:26 Marcin Juszkiewicz wrote:
[snip]
> > - It uses linux-g++ instead of linux-g++-64. While that could be the best
> > fit, it would be good to know why.
> 
> Maybe it is because linux-g++ may use '-m64' argument for GCC which
> AArch64 does not support so build fails.

Cool, thanks :)

[snip]
> If you need that for something:
> 
> Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> based on
> gtkwebkit changes by Riku Voipio <riku.voipio@linaro.org>
> 
> License: same as upstream one

Excellent!
 
> > aarch64_fix_atomic_set.patch:
> > - Copyright present.
> > - Possibly needs the above patch applied.
> 
> It requires aarch64.patch as it just change two lines.

Yes, sadly we don't have the copyright for that yet :-(

> > = Some extra remarks
> > 
> > We need at least the proper copyright and license for the patches. In that
> > way I'm able to apply them in the package and ping upstream wrt them.
> > 
> > Of course, if the original author can push it to upstream's gerrit the
> > better, because in case some objection arises I don't need to be in the
> > middle as a (possibly noisy) proxy.
> 
> Qt4 patches are not accepted upstream. All new code has to go to Qt5 and
> since 5.2.0 QAtomics stuff is using std::atomic so compiler takes care
> of it and there is no code for separate architectures.
> 
> And all required patches were submitted - just one change to qtwebkit is
> stuck in review.
> 
> https://bugreports.qt-project.org/browse/QTBUG-35442 is upstream bug.

Correct. So what we are currently missing should be:

- The copyright and license of the qatomic stuff.
- Fix the code that FTBFS without -fpermissive.

Thanks for your input!

Kinds regards, Lisandro.

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 18:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 18:21:05 GMT) Full text and rfc822 format available.

Message #106 received at 735488@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488-quiet@bugs.debian.org
Cc: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>, 735488@bugs.debian.org, 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 18:20:21 +0000
+++ Marcin Juszkiewicz [2014-01-27 17:41 +0100]:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> W dniu 23.01.2014 18:57, Lisandro Damián Nicanor Pérez Meyer pisze:
> > I've tried to summarize the current arm64 situation. The following are my 
> > conclusions, feel free to point if something is wrong, give more 
> > info/feedback, etc.
> 
> As you know from my blog post [0] Qt/AArch64 patch has long history.
> 
> 0.
> http://marcin.juszkiewicz.com.pl/2014/01/20/the-story-of-qtaarch64-patching/
> 
> > = Stuff under debian/
> > 
> > - As explained in a mail before, we don't like the idea of passing
> > -fpermissive as it can lead to very strange crashes. The code will need proper 
> > fixing.
> > 
> > - We are building webkit with a separate source, -no-javascript-jit and the 
> > relevant webkit patches should be applied in src:qtwebkit. The relevant 
> > patches contained in the patch submitted by Wookey come from Riku Voipio and 
> > seems too similar to other patches we already have there, so it should not be 
> > a problem to apply them once we have Qt4 ready form arm64.
> 
> > - It uses linux-g++ instead of linux-g++-64. While that could be the best fit, 
> > it would be good to know why.
> 
> Maybe it is because linux-g++ may use '-m64' argument for GCC which
> AArch64 does not support so build fails.

I think this is correct. I recall hitting that issue. There was also
stuff to do with selecting /lib64 vs /lib IIRC. (/lib is correct for
arm64/aarch64).

> > = Code patches
> > 
> > aarch64.patch:
> > - *No copyright* nor license. We need this at least to be able to apply it and 
> > ask upstream if they see it fit. There's the chance that some code comes from 
> > Ubuntu people.
> 
> 
> > - Webkit stuff: as described above.
> 
> If you need that for something:
> 
> Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> based on
> gtkwebkit changes by Riku Voipio <riku.voipio@linaro.org>
> 
> License: same as upstream one
> 
> > aarch64_fix_atomic_set.patch:
> > - Copyright present.
> > - Possibly needs the above patch applied.
> 
> It requires aarch64.patch as it just change two lines.
> 
> > = Some extra remarks
> > 
> > We need at least the proper copyright and license for the patches. In that way 
> > I'm able to apply them in the package and ping upstream wrt them.
> > 
> > Of course, if the original author can push it to upstream's gerrit the better, 
> > because in case some objection arises I don't need to be in the middle as a 
> > (possibly noisy) proxy.
> 
> Qt4 patches are not accepted upstream. All new code has to go to Qt5 and
> since 5.2.0 QAtomics stuff is using std::atomic so compiler takes care
> of it and there is no code for separate architectures.

Are QT4 patches going to be accepted at some point or will distros have
to carry an arm64 patch for QT4 as long as it remains supported?

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information stored :
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and filed, but not forwarded. (Mon, 27 Jan 2014 18:21:08 GMT) Full text and rfc822 format available.

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 18:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <mjuszkiewicz@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 18:33:04 GMT) Full text and rfc822 format available.

Message #119 received at 735488@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>
To: Wookey <wookey@wookware.org>, 735488-quiet@bugs.debian.org
Cc: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>, 735488@bugs.debian.org, 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 19:29:04 +0100
W dniu 27.01.2014 19:20, Wookey pisze:
> +++ Marcin Juszkiewicz [2014-01-27 17:41 +0100]:

>>> - It uses linux-g++ instead of linux-g++-64. While that could be the best fit, 
>>> it would be good to know why.
>>
>> Maybe it is because linux-g++ may use '-m64' argument for GCC which
>> AArch64 does not support so build fails.
> 
> I think this is correct. I recall hitting that issue. There was also
> stuff to do with selecting /lib64 vs /lib IIRC. (/lib is correct for
> arm64/aarch64).

/lib or /lib64 is also distro choice.

> Are QT4 patches going to be accepted at some point or will distros have
> to carry an arm64 patch for QT4 as long as it remains supported?

Ask in https://bugreports.qt-project.org/browse/QTBUG-35442 please




Information stored :
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <mjuszkiewicz@redhat.com>:
Extra info received and filed, but not forwarded. (Mon, 27 Jan 2014 18:33:08 GMT) Full text and rfc822 format available.

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 18:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <mjuszkiewicz@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 18:36:08 GMT) Full text and rfc822 format available.

Message #132 received at 735488@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 19:32:43 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

W dniu 27.01.2014 19:14, Lisandro Damián Nicanor Pérez Meyer pisze:
> So what we are currently missing should be:
> 
> - The copyright and license of the qatomic stuff.

Author: Mark Salter <msalter@redhat.com>
License: same as upstream one
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJS5qZHAAoJECbKqQEReiUeZPQQALLzIGAeCJtUDdk/yBoNv1dh
T01VrWX8/aCW1n/DlgAdBGtZm8lTbL/29glib3qhoqLTHDvh4VmQ9kBRRt537vCt
7Qj/v3mDDmZYv5pAyReX7i0N8RRExKWk4alXnBJy62lP3TAGZar4VYjyU5STCIkK
NVqs4oE1It38uQObdUaVoDynB0HP1rPsr9UHqZlT716QpORE2qh2PUFDZ4ACZHZh
7bAStNL/JOYqTEGolIm+q8kti3Ozkjx/EdnSjW3yHYy0Ih5PhTtVtqBeWEyv9CXw
i5L1TKzV6XFlmm0qHvUHkTKQtidnnpO3/ew5E6tdz8oXVpo9prBVFpO6CE+FPvmn
+N6tX+h44fjZ189b1+XB57Z7mV+PrRL6Wk60pKxrJrk5zp9scI0Bb/TEo1FkwPcA
CioHrDxCFvywEN15LlUjNQgr2eeO6sPgfaXmrPQ9RAiSX1ojUb8h3BVbqVE8sQHr
x1CugZvAGo4v7rSi7paZEGfJdHUWV8+FX/XmeddJq2kqA0icMYLPMPCVc+s7hy3m
wLTyACVCFVdaoc6rau8V4pbMgEItvKXkiQueKe4KE5BLBXmVdkT5y+1ltubimrhY
44sQIR1py/gHwQSRrNZ85fio4DpVbzhqwFvAADlJZCbuKr9VNTt9tk9Fz55Gd3+3
LHb+qyxBhHE0vf3R5WN6
=w740
-----END PGP SIGNATURE-----



Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 18:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 18:57:16 GMT) Full text and rfc822 format available.

Message #140 received at 735488@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 15:53:19 -0300
[Message part 1 (text/plain, inline)]
On Monday 27 January 2014 19:32:43 Marcin Juszkiewicz wrote:
> W dniu 27.01.2014 19:14, Lisandro Damián Nicanor Pérez Meyer pisze:
> > So what we are currently missing should be:
> > 
> > - The copyright and license of the qatomic stuff.
> 
> Author: Mark Salter <msalter@redhat.com>
> License: same as upstream one

\o/ Thanks a lot!

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 18:57:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 18:57:19 GMT) Full text and rfc822 format available.

Message #145 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 15:54:33 -0300
[Message part 1 (text/plain, inline)]
On Monday 27 January 2014 19:29:04 Marcin Juszkiewicz wrote:
[snip] 
> > Are QT4 patches going to be accepted at some point or will distros have
> > to carry an arm64 patch for QT4 as long as it remains supported?
> 
> Ask in https://bugreports.qt-project.org/browse/QTBUG-35442 please

I'll take care of asking. Thanks!

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 18:57:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 20:48:05 GMT) Full text and rfc822 format available.

Message #153 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 17:45:09 -0300
[Message part 1 (text/plain, inline)]
On Monday 27 January 2014 18:20:21 Wookey wrote:
[snip]
> > Qt4 patches are not accepted upstream. All new code has to go to Qt5 and
> > since 5.2.0 QAtomics stuff is using std::atomic so compiler takes care
> > of it and there is no code for separate architectures.
> 
> Are QT4 patches going to be accepted at some point or will distros have
> to carry an arm64 patch for QT4 as long as it remains supported?

Thiago just replied that while technically is a new feature and thus should 
not be applied to Qt4, distros and most probably other users will use them, so 
better to accept them.

Wookey: are there any arm64 porterboxes available? I can't promise anything, 
but maybe at some point I could help...

Kinds regards, Lisandro.

-- 
http://xkcd.com/162/
Siempre quise una novia así :-)

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Mon, 27 Jan 2014 20:48:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 22:33:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and filed, but not forwarded. (Mon, 27 Jan 2014 22:33:20 GMT) Full text and rfc822 format available.

Message #161 received at 735488-quiet@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>, 735488-quiet@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 22:32:01 +0000
+++ Lisandro Damián Nicanor Pérez Meyer [2014-01-27 17:45 -0300]:
> On Monday 27 January 2014 18:20:21 Wookey wrote:
> [snip]
> > > Qt4 patches are not accepted upstream. All new code has to go to Qt5 and
> > > since 5.2.0 QAtomics stuff is using std::atomic so compiler takes care
> > > of it and there is no code for separate architectures.
> > 
> > Are QT4 patches going to be accepted at some point or will distros have
> > to carry an arm64 patch for QT4 as long as it remains supported?
> 
> Thiago just replied that while technically is a new feature and thus should 
> not be applied to Qt4, distros and most probably other users will use them, so 
> better to accept them.
> 
> Wookey: are there any arm64 porterboxes available? I can't promise anything, 
> but maybe at some point I could help...

Not yet. No. And I don't yet know when there might be. 'In time for
Jessie, hopefully' is the only clue I've had so far from people who will
be in a position to supply one. If you need builds done there are a
couple of DDs who can get access (Riku and Fathi). I can do it
indirectly. Probably best to pester me. I realise this is not at all
convenient but access is very strictly controlled at the moment (because
lawyers don't understand how work actually gets done).

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Mon, 27 Jan 2014 23:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Jan 2014 23:27:09 GMT) Full text and rfc822 format available.

Message #166 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: Wookey <wookey@wookware.org>
Cc: 735488@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Mon, 27 Jan 2014 20:24:18 -0300
[Message part 1 (text/plain, inline)]
On Monday 27 January 2014 22:32:01 Wookey wrote:
[snip]
> > Wookey: are there any arm64 porterboxes available? I can't promise
> > anything, but maybe at some point I could help...
> 
> Not yet. No. And I don't yet know when there might be. 'In time for
> Jessie, hopefully' is the only clue I've had so far from people who will
> be in a position to supply one. If you need builds done there are a
> couple of DDs who can get access (Riku and Fathi). I can do it
> indirectly. Probably best to pester me. I realise this is not at all
> convenient but access is very strictly controlled at the moment (because
> lawyers don't understand how work actually gets done).

He, lawyers :) Don't worry, I get the idea :)

To fully push the patches upstream we will need the -fpermisive stuff properly 
addressed though :-/


-- 
Why should I care about my chatter from yesterday?
Nothing prevents me from becoming wiser.
  Konrad Adenauer, former German chancellor.
  http://lwn.net/SubscriberLink/397422/60a270d48f933c67/

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 29 Jan 2014 01:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 29 Jan 2014 01:30:07 GMT) Full text and rfc822 format available.

Message #171 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org, Mark Salter <msalter@redhat.com>
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Tue, 28 Jan 2014 22:27:14 -0300
[Message part 1 (text/plain, inline)]
Mark: please take a look at [0] for more context or ask Marcin. Quick context: 
getting AArch64 (aka arm64) Qt4 patches in upstream.

Marcin, Mark: to get the code into the Qt4 tree I either need you to:

a) push the code to Qt's gerrit instance
or
b) license the patches as BSD or something equally permissive

The (a) case would be the simpler one for us (Qt / all other distros) but you 
might not be able to do so. So we can still the go the (b) way.

In case (b) I would need a mail of each of you (preferably to this bug, 
735488@bugs.debian.org) stating that you license the patches as BSD.

If you think there is another way to solve this, please do not heasitate in 
replying.

[0] <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=735488>

Kinds regards, Lisandro.


-- 
18: Como se pueden evitar los problemas de alimentacion electrica
    * No coma cerca de un enchufe
    Damian Nadales
    http://mx.grulic.org.ar/lurker/message/20080307.141449.a70fb2fc.es.html

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 29 Jan 2014 01:30:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 29 Jan 2014 11:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <mjuszkiewicz@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 29 Jan 2014 11:06:09 GMT) Full text and rfc822 format available.

Message #179 received at 735488@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <mjuszkiewicz@redhat.com>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org, Mark Salter <msalter@redhat.com>
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Wed, 29 Jan 2014 12:03:45 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

W dniu 29.01.2014 02:27, Lisandro Damián Nicanor Pérez Meyer pisze:
> Mark: please take a look at [0] for more context or ask Marcin. Quick context: 
> getting AArch64 (aka arm64) Qt4 patches in upstream.

> Marcin, Mark: to get the code into the Qt4 tree I either need you to:
> 
> a) push the code to Qt's gerrit instance
> or
> b) license the patches as BSD or something equally permissive
> 
> The (a) case would be the simpler one for us (Qt / all other distros) but you 
> might not be able to do so. So we can still the go the (b) way.
> 
> In case (b) I would need a mail of each of you (preferably to this bug, 
> 735488@bugs.debian.org) stating that you license the patches as BSD.

My patches are usually licensed in a way upstream license a code.

For this situation you can consider them to be on CC0 (aka public
domain) or simply BSD licenced.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJS6OANAAoJECbKqQEReiUeLcMP/0rrHQTHlwzA8N0RhKAc47Bt
WhdJV8doN4uVaqCpr29aipjXa3fSy08GX6ViwwpCAxyii+13bD2ahZ/zvE3dn6TW
FXVFRqMEi/1Qu66wqDmziLMa6CtixLDQ09/HhZtCzqXxETgYNhGjVRbrRA+fMNOR
ExO2y1aEzAQdQ+tWrsuibiaNULsgFSD0x7Xi0ZwSSTn/R3HtCtFWomDY7wOyeLUN
dyntH8vkzp7tI7ByuwqjcnfyemuD21ftkbdcGu4irm8nFvTp8Hq95KQ3OSIlRmfM
Yc+91LJPk+RMczIUF0JfkET1Hjll8H6KwZ5POztLnbW+pGbr3sriGya7zwU/neRb
646aSyfgUUV6lsOOFgfu/fMoYkbQUyP+HNz1zmSvBq9nfF9g67YLJ8zKYEfatJz7
llEAyTTTrsveDXai23sn6At3Weng23+uzkv0GKq6Eu85CrcF6qcMWFqscjB0xW8/
BkOsFy+l1t6rxC6tMFw7xtmjXrR2j7DGGRu9uZhHtDcSaD8ZVYQ0F9P4HAAu4Ova
8ag9ly6ttVFRuKTsCDjBJUEGJ4yso0YkalrBG1aPhO+QFWLSm9/NUNvniX82oho8
LTLWgX2OWcek0Pdnnu7buv3T2U1iTtjX7v3iDX36nAquxXwNEFv+ZsfCThOKTnBH
IwpQYpWOPEZ+iaoCLlbH
=GmlU
-----END PGP SIGNATURE-----



Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 29 Jan 2014 11:06:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 29 Jan 2014 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 29 Jan 2014 13:39:09 GMT) Full text and rfc822 format available.

Message #187 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: debian-qt-kde@lists.debian.org, Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org, Mark Salter <msalter@redhat.com>
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Wed, 29 Jan 2014 10:36:33 -0300
[Message part 1 (text/plain, inline)]
[snip]
> 
> My patches are usually licensed in a way upstream license a code.
> 
> For this situation you can consider them to be on CC0 (aka public
> domain) or simply BSD licenced.

Thanks *a lot* Marcin!

-- 
Nearly all men can stand adversity, but if you want to test a man's
character, give him power.
  Abraham Lincoln

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 29 Jan 2014 13:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 05 Feb 2014 02:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Salter <msalter@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 05 Feb 2014 02:12:05 GMT) Full text and rfc822 format available.

Message #195 received at 735488@bugs.debian.org (full text, mbox):

From: Mark Salter <msalter@redhat.com>
To: 735488@bugs.debian.org
Subject: patch licensing for arm64 support
Date: Tue, 04 Feb 2014 21:10:09 -0500
For avoidance of doubt, any changes to Qt code by me to add arm64
support are to be considered BSD licensed.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 05 Feb 2014 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 05 Feb 2014 16:48:04 GMT) Full text and rfc822 format available.

Message #200 received at 735488@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
To: 735488@bugs.debian.org
Cc: 735488-submitter@bugs.debian.org, Mark Salter <msalter@redhat.com>, Riku Voipio <riku.voipio@linaro.org>
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Wed, 05 Feb 2014 17:35:18 +0100
[Message part 1 (text/plain, inline)]
W dniu 29.01.2014 02:27, Lisandro Damián Nicanor Pérez Meyer pisze:
> Mark: please take a look at [0] for more context or ask Marcin. Quick context: 
> getting AArch64 (aka arm64) Qt4 patches in upstream.
> 
> Marcin, Mark: to get the code into the Qt4 tree I either need you to:
> 
> a) push the code to Qt's gerrit instance
> or
> b) license the patches as BSD or something equally permissive
> 
> The (a) case would be the simpler one for us (Qt / all other distros) but you 
> might not be able to do so. So we can still the go the (b) way.

I split whole aarch64.patch into more managable parts.

[1-basic-aarch64-detection.patch (text/x-diff, attachment)]
[2-mkspecs.patch (text/x-diff, attachment)]
[4-syscalls.patch (text/x-diff, attachment)]
[5-qatomic.patch (text/x-diff, attachment)]
[qtscript.patch (text/x-diff, attachment)]
[series (text/plain, attachment)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 05 Feb 2014 16:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Fri, 28 Feb 2014 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 28 Feb 2014 14:24:05 GMT) Full text and rfc822 format available.

Message #208 received at 735488@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 735488@bugs.debian.org
Cc: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>, Riku Voipio <riku.voipio@linaro.org>
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Fri, 28 Feb 2014 18:19:20 +0400
[Message part 1 (text/plain, inline)]
Hi Marcin,

I had a quick look at patches you attached. Thanks a lot for submitting them in
such structured form. My questions are:

- Are 1-basic-aarch64-detection.patch, 2-mkspecs.patch and 4-syscalls.patch
  authored by you?

- Did you forget to attach 3-something patch? Or is that just a naming issue?

- 5-qatomic patch has this line on top:

    include/QtCore/headers.pri usunięte - trzeba przywrócić

  Can I ignore that?

The qtscript.patch is already committed to qtscript git [1], so we should probably
submit a cherry-pick upstream (anyone could do that) and make it included in the
next snapshot. For some reason Qt Gerrit refuses to accept my changes, so I would
welcome if someone else does that.

[1]: https://qt.gitorious.org/qt/qtscript/commit/2e049836ee16f4aedbe7ccc3335fc57852725716

--
Dmitry Shachnev
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Fri, 28 Feb 2014 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 28 Feb 2014 14:45:04 GMT) Full text and rfc822 format available.

Message #213 received at 735488@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 735488@bugs.debian.org
Cc: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>, Riku Voipio <riku.voipio@linaro.org>
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Fri, 28 Feb 2014 18:42:06 +0400
[Message part 1 (text/plain, inline)]
Thanks for the quick reply. [Adding back the needed CCs addresses.]

> W dniu 28.02.2014 15:19, Dmitry Shachnev pisze:
>> I had a quick look at patches you attached. Thanks a lot for submitting them in
>> such structured form. My questions are:
>> 
>> - Are 1-basic-aarch64-detection.patch, 2-mkspecs.patch and 4-syscalls.patch
>>   authored by you?
>
> Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> based on
> gtkwebkit changes by Riku Voipio <riku.voipio@linaro.org>

Sorry for nitpicking, but these patches are not related to WebKit and
only touch files in QtCore. So I assume you are the only author.

>> - Did you forget to attach 3-something patch? Or is that just a naming issue?
>
> It got dropped.

OK.

>> - 5-qatomic patch has this line on top:
>>
>>     include/QtCore/headers.pri usuniФ™te - trzeba przywrУГciФ‡
>> 
>>   Can I ignore that?
>
> It means "include/QtCore/headers.pri changes are dropped - need to be
> restored". This is to get qatomics_aarch64.h file included in qt-devel.

So I am ignoring it, thanks.

>> The qtscript.patch is already committed to qtscript git [1], so we should probably
>> submit a cherry-pick upstream (anyone could do that) and make it included in the
>> next snapshot. For some reason Qt Gerrit refuses to accept my changes, so I would
>> welcome if someone else does that.
>
> And all included patches are BSD licensed.

I know, thanks.

--
Dmitry Shachnev
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Tue, 18 Mar 2014 17:18:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 18 Mar 2014 17:18:24 GMT) Full text and rfc822 format available.

Message #218 received at 735488@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: Mark Salter <msalter@redhat.com>
Cc: Wookey <wookey@wookware.org>, Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488-submitter@bugs.debian.org, 735488@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Tue, 18 Mar 2014 14:13:58 -0300
Mark: as per [0] Thiago (upstream for qtcore) says:

+#ifndef Q_DATA_MEMORY_BARRIER
+# define Q_DATA_MEMORY_BARRIER asm volatile("dmb sy\n":::"memory")
+#endif
+#ifndef Q_COMPILER_MEMORY_BARRIER
+# define Q_COMPILER_MEMORY_BARRIER asm volatile("":::"memory")

  This shouldn't be necessary anymore if we're using the compilr intrinsics
  with the right __ATOMIC_xxx macros. The compiler will inser the proper
  barriers.

Would it be possible to fix it?


[0] <https://codereview.qt-project.org/#patch,all_unified,81011,3>

For everyone but specially Wookey who wants the patchs in Debian, quoting 
upstream WRT -fpermissive:

  That error needs to be fixed in the right place. Adding -fpermissive to
  make the error disappear without fixing the problem is not the right
  solution.

So as I said before, this needs to get fixed before merging the patches.

As a wrap-up of the push-to-upstream actions, the mostly objected part if the 
-fpermissive flag.

-- 

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/




Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Tue, 18 Mar 2014 17:18:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Wed, 19 Mar 2014 20:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Salter <msalter@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 19 Mar 2014 20:03:14 GMT) Full text and rfc822 format available.

Message #226 received at 735488@bugs.debian.org (full text, mbox):

From: Mark Salter <msalter@redhat.com>
To: 735488@bugs.debian.org
Cc: Wookey <wookey@wookware.org>, Marcin Juszkiewicz <mjuszkiewicz@redhat.com>, 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Wed, 19 Mar 2014 15:59:01 -0400
On Tue, 2014-03-18 at 14:13 -0300, Lisandro Damián Nicanor Pérez Meyer
wrote:
> Mark: as per [0] Thiago (upstream for qtcore) says:
> 
> +#ifndef Q_DATA_MEMORY_BARRIER
> +# define Q_DATA_MEMORY_BARRIER asm volatile("dmb sy\n":::"memory")
> +#endif
> +#ifndef Q_COMPILER_MEMORY_BARRIER
> +# define Q_COMPILER_MEMORY_BARRIER asm volatile("":::"memory")
> 
>   This shouldn't be necessary anymore if we're using the compilr intrinsics
>   with the right __ATOMIC_xxx macros. The compiler will inser the proper
>   barriers.
> 
> Would it be possible to fix it?

I agree that the explicit barriers are not needed. I could spin another
patch with them removed, but that still leaves -fpermissive.

> 
> [0] <https://codereview.qt-project.org/#patch,all_unified,81011,3>
> 
> For everyone but specially Wookey who wants the patchs in Debian, quoting 
> upstream WRT -fpermissive:
> 
>   That error needs to be fixed in the right place. Adding -fpermissive to
>   make the error disappear without fixing the problem is not the right
>   solution.
> 
> So as I said before, this needs to get fixed before merging the patches.
> 
> As a wrap-up of the push-to-upstream actions, the mostly objected part if the 
> -fpermissive flag.
> 

I'm not very fluent with c++ and have no idea what needs to be done with
this.





Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Wed, 19 Mar 2014 20:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#735488; Package src:qt4-x11. (Sun, 23 Mar 2014 02:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 735488@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 23 Mar 2014 02:00:05 GMT) Full text and rfc822 format available.

Message #234 received at 735488@bugs.debian.org (full text, mbox):

From: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
To: debian-qt-kde@lists.debian.org, Mark Salter <msalter@redhat.com>, 735488@bugs.debian.org, Marcin Juszkiewicz <mjuszkiewicz@redhat.com>
Cc: 735488-submitter@bugs.debian.org
Subject: Re: Bug#735488: Qt4 in arm64: wrap up of the current situation
Date: Sat, 22 Mar 2014 22:55:45 -0300
[Message part 1 (text/plain, inline)]
First of all, sorry for the long delay, I'm trying to catch up with my backlog 
:-/

On Wednesday 19 March 2014 15:59:01 Mark Salter wrote:
> On Tue, 2014-03-18 at 14:13 -0300, Lisandro Damián Nicanor Pérez Meyer
> 
> wrote:
> > Mark: as per [0] Thiago (upstream for qtcore) says:
> > 
> > +#ifndef Q_DATA_MEMORY_BARRIER
> > +# define Q_DATA_MEMORY_BARRIER asm volatile("dmb sy\n":::"memory")
> > +#endif
> > +#ifndef Q_COMPILER_MEMORY_BARRIER
> > +# define Q_COMPILER_MEMORY_BARRIER asm volatile("":::"memory")
> > 
> >   This shouldn't be necessary anymore if we're using the compilr
> >   intrinsics
> >   with the right __ATOMIC_xxx macros. The compiler will inser the proper
> >   barriers.
> > 
> > Would it be possible to fix it?
> 
> I agree that the explicit barriers are not needed. I could spin another
> patch with them removed, but that still leaves -fpermissive.

Please do spin the patch and I'll push it.

[snip]
> 
> I'm not very fluent with c++ and have no idea what needs to be done with
> this.

I think that's stuff for porters then (wookey?)

-- 
You know it's love when you memorize her IP number to skip DNS overhead.
  Anonymous

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Wookey <wookey@wookware.org>:
Bug#735488. (Sun, 23 Mar 2014 02:00:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:59:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.